/timeseries
Get summary metrics just like the /totals endpoint but broken out by month or day. Use YYYY-MM date format in the time-frame filter, when, to get monthly summary, or use YYYY-MM-DD date format for daily summary data. When requesting a daily timeseries only up to 90 days may be requested at a time. Months or days with 0 postings will be included in the response.
POST /timeseries
POST /timeseriesQuery Parameters
| Name | Type | Description |
|---|---|---|
soc_version | enum | Specify SOC taxonomy version to use. This parameter is optional. Default: Must be one of: |
area_version | enum | Specify area taxonomy version to use. This parameter is optional. Default: Must be one of: |
title_version | enum | Specify Job Title taxonomy version to use. This parameter is optional. Default: Must be one of: |
company_version | enum | Specify company taxonomy version to use. This parameter is optional. Default: Must be one of: |
new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: |
lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: Must be one of: |
Request Body
{
"filter": {
"when": {
"start": "2020-01",
"end": "2020-03"
},
"title_name": [
"Web Developers"
]
},
"metrics": [
"unique_companies",
"unique_postings"
]
}Code Examples
curl --request POST \
--url https://api.lightcast.io/uk-jpa/timeseries \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{ "filter": { "when": { "start": "2020-01", "end": "2020-03" }, "title_name": [ "Web Developers" ] }, "metrics": [ "unique_companies", "unique_postings" ] }'Response Examples
{
"data": {
"timeseries": {
"month": [
"2020-01",
"2020-02",
"2020-03"
],
"unique_companies": [
1578,
1606,
1522
],
"unique_postings": [
2767,
2944,
2901
]
},
"totals": {
"unique_companies": 1917,
"unique_postings": 3956
}
}
}//Your request wasn't valid (bad parameter names or values).
{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}//Your request wasn't unauthorized.
{
"errors": [
{
"status": 401,
"title": "Unauthorized Request",
"detail": "You are not authorized to access this resource."
}
]
}//Your request wasn't valid (bad keyword expression).
{
"errors": [
{
"status": 422,
"title": "Invalid request content",
"detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t ^"
}
]
}
